Page MenuHomePhabricator

[OpenMP][FIX] Ensure guarding uses proper global name
ClosedPublic

Authored by jdoerfert on Oct 31 2021, 12:49 PM.

Details

Summary

Global symbols cannot have any name so we need to sanitize the string
first. Also remove an assertion that is not actually necessary nor
true in general.

Diff Detail

Event Timeline

jdoerfert created this revision.Oct 31 2021, 12:49 PM
jdoerfert requested review of this revision.Oct 31 2021, 12:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 31 2021, 12:49 PM
ggeorgakoudis accepted this revision.Nov 1 2021, 8:49 AM
This revision is now accepted and ready to land.Nov 1 2021, 8:49 AM
This revision was landed with ongoing or failed builds.Nov 2 2021, 9:22 PM
This revision was automatically updated to reflect the committed changes.